### Function

# Ggit OId new_from_raw

#### Declaration [src]

    GgitOId*
    ggit_oid_new_from_raw (
      const guchar* raw
    )

#### Description [src]

Creates a new `GgitOId` from a raw oid.

#### Parameters

`raw`

  Type: An array of `guint8`

  The raw input bytes to be copied.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

#### Return value

Type: `GgitOId`

A newly allocated `GgitOId` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.